Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-56316

Unable to build blueocean-plugin\jenkins-design-language on Windows

    Details

    • Type: Bug
    • Status: Open (View Workflow)
    • Priority: Minor
    • Resolution: Unresolved
    • Component/s: blueocean-plugin
    • Labels:
      None
    • Environment:
      Windows 10
    • Similar Issues:

      Description

      [INFO] @jenkins-cd/design-language@0.0.163 <workspace-root>\blueocean-plugin\jenkins-design-language
      [ERROR] npm ERR! Windows_NT 10.0.17763
      [INFO] `-- (empty)
      [ERROR] npm ERR! argv "<workspace-root>\\blueocean-plugin\\jenkins-design-language\\node\\node.exe" "<workspace-root>\\blueocean-plugin\\jenkins-design-language\\node\\node_modules\\npm\\bin\\npm-cli.js" "install"
      [INFO]
      [ERROR] npm ERR! node v6.4.0
      [ERROR] npm ERR! npm  v3.10.3
      [ERROR] npm ERR! code ELIFECYCLE
      [ERROR]
      [ERROR] npm ERR! node-sass@4.5.3 postinstall: `node scripts/build.js`
      [ERROR] npm ERR! Exit status 1
      [ERROR] npm ERR!
      [ERROR] npm ERR! Failed at the node-sass@4.5.3 postinstall script 'node scripts/build.js'.
      [ERROR] npm ERR! Make sure you have the latest version of node.js and npm installed.
      [ERROR] npm ERR! If you do, this is most likely a problem with the node-sass package,
      [ERROR] npm ERR! not with npm itself.
      [ERROR] npm ERR! Tell the author that this fails on your system:
      [ERROR] npm ERR!     node scripts/build.js
      [ERROR] npm ERR! You can get information on how to open an issue for this project with:
      [ERROR] npm ERR!     npm bugs node-sass
      [ERROR] npm ERR! Or if that isn't available, you can get their info via:
      [ERROR] npm ERR!     npm owner ls node-sass
      [ERROR] npm ERR! There is likely additional logging output above.
      [ERROR]
      [ERROR] npm ERR! Please include the following file with any support request:
      [ERROR] npm ERR!    <workspace-root>\blueocean-plugin\jenkins-design-language\npm-debug.log
      [ERROR] npm ERR! code 1
      

        Attachments

          Activity

          Hide
          halkeye Gavin Mogan added a comment -

          Stuart Rowe now that https://github.com/jenkinsci/blueocean-plugin/pull/1922 is merged, can you try this in windows?

          Show
          halkeye Gavin Mogan added a comment - Stuart Rowe now that https://github.com/jenkinsci/blueocean-plugin/pull/1922  is merged, can you try this in windows?
          Hide
          stuartrowe Stuart Rowe added a comment -

          Gavin Mogan seeing other npm errors now:

          9469 warn gulp-jest@1.0.0 requires a peer of jest-cli@>=17.0.0 but none is installed. You must install peer dependencies yourself.
          9470 warn ts-jest@19.0.2 requires a peer of typescript@^2.1.0 || ^2.2.0-dev but none is installed. You must install peer dependencies yourself.
          9471 verbose stack RangeError: Maximum call stack size exceeded
          9471 verbose stack at RegExp.test (<anonymous>)
          9471 verbose stack at isDepOptional <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:398:27)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:414:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9)
          9472 verbose cwd <workspace-root>\blueocean-plugin\jenkins-design-language
          9473 verbose Windows_NT 10.0.17763
          9474 verbose argv "<workspace-root>\\blueocean-plugin\\jenkins-design-language\\node\\node.exe" "<workspace-root>\\blueocean-plugin\\jenkins-design-language\\node\\node_modules\\npm\\bin\\npm-cli.js" "install"
          9475 verbose node v10.13.0
          9476 verbose npm v6.8.0
          9477 error Maximum call stack size exceeded
          9478 verbose exit [ 1, true ]
          
          Show
          stuartrowe Stuart Rowe added a comment - Gavin Mogan seeing other npm errors now: 9469 warn gulp-jest@1.0.0 requires a peer of jest-cli@>=17.0.0 but none is installed. You must install peer dependencies yourself. 9470 warn ts-jest@19.0.2 requires a peer of typescript@^2.1.0 || ^2.2.0-dev but none is installed. You must install peer dependencies yourself. 9471 verbose stack RangeError: Maximum call stack size exceeded 9471 verbose stack at RegExp.test (<anonymous>) 9471 verbose stack at isDepOptional <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:398:27) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:414:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9471 verbose stack at failedDependency <workspace-root>\blueocean-plugin\jenkins-design-language\node\node_modules\npm\lib\install\deps.js:430:9) 9472 verbose cwd <workspace-root>\blueocean-plugin\jenkins-design-language 9473 verbose Windows_NT 10.0.17763 9474 verbose argv "<workspace-root>\\blueocean-plugin\\jenkins-design-language\\node\\node.exe" "<workspace-root>\\blueocean-plugin\\jenkins-design-language\\node\\node_modules\\npm\\bin\\npm-cli.js" "install" 9475 verbose node v10.13.0 9476 verbose npm v6.8.0 9477 error Maximum call stack size exceeded 9478 verbose exit [ 1, true ]
          Hide
          halkeye Gavin Mogan added a comment -

          drat

          just in case, did you delete */node and */node_modules before building?

          but i'll boot up a windows vm and see what i can find out.

          Show
          halkeye Gavin Mogan added a comment - drat just in case, did you delete */node and */node_modules before building? but i'll boot up a windows vm and see what i can find out.
          Hide
          stuartrowe Stuart Rowe added a comment -

          No, not unless mvn clean takes care of that.

          Show
          stuartrowe Stuart Rowe added a comment - No, not unless mvn clean takes care of that.
          Hide
          halkeye Gavin Mogan added a comment -

          then i suspect this is a general issue when updating major versions of node.

          I'd delete those dir and try again

           

          I'll also get a windows VM setup asap and test this

          Show
          halkeye Gavin Mogan added a comment - then i suspect this is a general issue when updating major versions of node. I'd delete those dir and try again   I'll also get a windows VM setup asap and test this

            People

            • Assignee:
              Unassigned
              Reporter:
              stuartrowe Stuart Rowe
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: